For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Get Started
    • Introduction
    • Quickstart
    • Authentication
  • API Reference
      • GETList Workflows
      • POSTCreate Workflow
      • GETGet Workflow
      • PUTUpdate Workflow
      • DELDelete Workflow
      • PATCHPatch Workflow
      • GETList Workflow Uploads
      • POSTPreview Run
      • GETRuns Summary
      • GETGet Run Steps
      • GETGet Run Overview
      • GETGet Run Data
      • GETDownload Run
      • GETDownload Run Node
      • POSTDuplicate Workflow
  • Python SDK
    • Install
    • Usage
    • Errors
  • CLI
    • Overview
LogoLogo
API Referenceworkflows

Runs Summary

GET
/api/v1/workflows/:workflow_id/runs/summary
GET
/api/v1/workflows/:workflow_id/runs/summary
$curl https://api.onepin.ai/api/v1/workflows/workflow_id/runs/summary \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "data": {
3 "total_runs": 150,
4 "completed": 120,
5 "failed": 20,
6 "cancelled": 10,
7 "pending": 5,
8 "running": 5,
9 "pass_rate": 0.75,
10 "average_duration_seconds": 245.6
11 },
12 "meta": {
13 "request_id": "a3f47b9e-8c2d-4f1a-9b7e-2d3f5c6a7b8d",
14 "timestamp": "2024-01-15T09:30:00Z"
15 }
16}

Aggregate run-status counts plus pass_rate and average_duration_seconds.

pass_rate = completed / (completed + failed + cancelled); None when no terminal runs. average_duration_seconds = mean(completed_at - started_at) over completed runs only; None when there are zero completed runs.

Was this page helpful?
Previous

Get Run Steps

Next
Built with

Authentication

AuthorizationBearer
Clerk JWT token

Path parameters

workflow_idstringRequiredformat: "uuid"

Headers

X-Workspace-Idstring or nullOptional

Query parameters

fromdatetime or nullOptional

Filter runs by created_at >= this ISO datetime.

todatetime or nullOptional

Filter runs by created_at <= this ISO datetime.

Response

Successful Response
dataobject
metaobject

Errors

422
Unprocessable Entity Error